## FoExpression FoExpression |

## Synopsis

                        FoExpression;
                        FoExpressionClass;
    FoDatatype*         fo_expression_new                   (void);
    gchar*              fo_expression_get_value             (FoDatatype *expression);
    void                fo_expression_set_value             (FoDatatype *expression,
                                                             const gchar *new_value);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoExpression

## Properties

      "value"                    gchar*                : Read / Write

## Description

## Details

### FoExpression

    typedef struct _FoExpression FoExpression;

### FoExpressionClass

    typedef struct _FoExpressionClass FoExpressionClass;

### fo_expression_new ()

    FoDatatype*         fo_expression_new                   (void);

Creates a new FoExpression initialized to default value.

Returns : | the new FoExpression

### fo_expression_get_value ()

    gchar*              fo_expression_get_value             (FoDatatype *expression);

`expression` : |
Returns : |

### fo_expression_set_value ()

    void                fo_expression_set_value             (FoDatatype *expression,
                                                             const gchar *new_value);

`expression` : |
`new_value` : |

## Property Details

### The `"value"` property

      "value"                    gchar*                : Read / Write

Expression value.

Default value: NULL